Page MenuHomePhabricator

Support Creative Commons cc-by-(sa-)4.0 in the UploadWizard
Closed, ResolvedPublic

Description

Creatice Commons version 4 was release end of 2013. Templates exist on Commons already:

https://commons.wikimedia.org/wiki/Template:Cc-by-4.0
https://commons.wikimedia.org/wiki/Template:Cc-by-sa-4.0


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60199

Details

Reference
bz61896

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:53 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz61896.
bzimport added a subscriber: Unknown Object (MLST).
Raymond created this task.Feb 25 2014, 8:34 AM
Tgr added a comment.Feb 25 2014, 6:29 PM

How is this different from bug 60199 (which has been fixed already)? Or is the fix not working? Could you provide an example?

Out beta test site has a CC4 test image (the solar eclipse), that seems to work just fine: wikipedia.beta.wmflabs.org/wiki/Lightbox_demo

This bug is about uploading with the UW. Currently you can select cc3 and cc0 only.

The other bug is about showing files licenced under CC4.

Tgr added a comment.Feb 25 2014, 6:50 PM

D'oh! Sorry, I mistook the component somehow.

Change-Id: Ibd743f08101bedeef578bd8c671b3c3a3f60e852

Change 138183 had a related patch set uploaded by TheDJ:
Support Creative Commons cc-by-(sa-)4.0

https://gerrit.wikimedia.org/r/138183

Change 138183 had a related patch set uploaded by Siebrand:
Support Creative Commons cc-by-(sa-)4.0

https://gerrit.wikimedia.org/r/138183

Change 138183 merged by jenkins-bot:
Support Creative Commons cc-by-(sa-)4.0

https://gerrit.wikimedia.org/r/138183

tomasz added a comment.Aug 5 2014, 8:18 PM

Both licences are now supported on the third step of the upload process ("Release rights"), and the patch was merged, so assuming bug is fixed.

Please re-open if that's not the case.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM